关闭

R-从R-Forge安装packages

标签: R语言R-Forge
129人阅读 评论(0) 收藏 举报
分类:

CRAN上有些package没有或是当前R版本不适用,可以去R-Forge搜并且安装

目前,本人找到两种安装方法,现在通过一个实例,对这两种方法进行记录以便以后需要



若CRAN没有相应的packages,如POT这个包(Peak Over Threshold,用于极值理论研究较多)。

直接在RStudio中写上 install.packages("POT"),结果返回错误



接下来,在R-Forge搜索找到POT packages,R-Forge_POT,如下图所示。此时,确定Build status 为current后,便可:

一、直接下载.zip文件,解压到R的安装目录library下,然后重启RStudio即可。

二、在RStudio中使用以下代码进行直接安装:

install.packages("POT", repos="http://R-Forge.R-project.org")


0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:1179次
    • 积分:33
    • 等级:
    • 排名:千里之外
    • 原创:2篇
    • 转载:1篇
    • 译文:0篇
    • 评论:0条
    文章分类
    文章存档